
' Get the IPMI driver instance so that we can communicate with the BMC.
set osvc = getobject("winmgmts:root\wmi")
set oclass = osvc.get("microsoft_ipmi")
for each oinstance in osvc.instancesof("microsoft_ipmi")
            set oipmi = oinstance
next

'Format the IPMI command request
set oinparams = oclass.methods_("requestresponse").inparameters
oinparams.networkfunction = 06
oinparams.lun = 0
oinparams.responderaddress = 32
oinparams.command = 46
oinparams.requestdatasize = 1
oinparams.requestdata = array(&h09&)

'call the driver
set outparams = oipmi.execmethod_("requestresponse",oinparams)


Wscript.Echo "CompletionCode   : 0x" & Hex(outparams.Completioncode)

If outparams.Completioncode = 0 Then
        Wscript.Echo "*** Success ***"
        Wscript.Quit 0 
ELSE
        Wscript.Echo "*** Failure ***"
        Wscript.Quit 1
End If
